For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
      • AstroFully-managed data operations, powered by Apache Airflow.
      • Astro Private CloudRun Airflow-as-a-service in your environment.
      • Professional ServicesExpert Airflow services for your enterprise's success.
    • Tools
      • Cosmos
      • Orbiter
      • CLI
      • AI SDK
      • Agents
      • Blueprint
      • UpdatesThe State of Airflow 2026See the insights from over 5,800 data practitioners in the full report. Download Now ➔
  • Customers
  • Docs
    • Insights
      • Blog
      • Webinars
      • Resource Library
      • Events
    • Education
      • Academy
      • What is Airflow?
  • Pricing
Get Started Free
  • Astro API v1
    • Overview
    • Get started
    • Versioning and support
    • Migrate to v1
    • Deploy with the API
  • API Reference
      • POSTConfigure a hibernation override for a deployment
      • POSTCreate a Deployment
      • DELDelete a Deployment
      • DELDelete a hibernation override for a deployment
      • GETGet a Deployment
      • GETGet Deployment logs
      • GETList Deployments
      • POSTUpdate a Deployment
    • Changelog
    • Book Office Hours

Product

  • Platform Overview
  • Astro
  • Astro Observe
  • Astro Private Cloud
  • Security & Trust
  • Pricing

Tools & Services

  • Cosmos
  • Docs
  • Professional Services
  • Product Updates

Use Cases

  • AI Ops
  • Data Observability
  • ETL/ELT
  • ML Ops
  • Operational Analytics
  • All Use Cases

Industries

  • Financial Services
  • Gaming
  • Retail
  • Manufacturing
  • Healthcare
  • All Industries

Resources

  • Academy
  • eBooks & Guides
  • Blog
  • Webinars
  • Events
  • The Data Flowcast Podcast
  • All Resources

Airflow

  • What is Airflow
  • Airflow on Astro
  • Airflow 3.0
  • Airflow Upgrades
  • Airflow Use Cases
  • Airflow 2.x End of Life

Company

  • Our Story
  • Customers
  • Newsroom
  • Careers
  • Contact

Support

  • Knowledge Base
  • Status
  • Contact Support
GitHubYouTubeLinkedInx
  • Legal
  • Privacy
  • Terms of Service
  • Consent Preferences

  • Do Not Sell or Share My Personal information
  • Limit the Use Of My Sensitive Personal Information

Apache Airflow®, Airflow, and the Airflow logo are trademarks of the Apache Software Foundation. Copyright © Astronomer 2026. All rights reserved.

LogoLogo
API ReferenceDeployment

List Deployments

GET
https://api.astronomer.io/v1/organizations/:organizationId/deployments
GET
/v1/organizations/:organizationId/deployments
$curl https://api.astronomer.io/v1/organizations/organizationId/deployments \
> -H "Authorization: Bearer <token>"
1{
2 "deployments": [
3 {
4 "airflowVersion": "2.7.2, if airflow version is not found, it will return NA",
5 "apiUrl": "https://clypw7uah05jb01nwtpojz0j2.astronomer.run/d4yjo9ed/api/v1",
6 "astroRuntimeVersion": "9.1.0",
7 "createdAt": "2022-11-22T04:37:12Z",
8 "createdBy": {
9 "id": "clm8qv74h000008mlf08scq7k",
10 "apiTokenName": "my-token",
11 "avatarUrl": "https://avatar.url",
12 "fullName": "Jane Doe",
13 "subjectType": "USER",
14 "username": "user1@company.com"
15 },
16 "id": "clmh57jtm000008lb58fe2wmv",
17 "imageRepository": "https://my-image-repository",
18 "imageTag": "my-image-tag",
19 "isCicdEnforced": true,
20 "isDagDeployEnabled": true,
21 "name": "My deployment",
22 "namespace": "weightless-diameter-8927",
23 "organizationId": "clmh59gt0000308lbgswe5fvh",
24 "runtimeVersion": "9.1.0",
25 "schedulerCpu": "1",
26 "schedulerMemory": "1Gi",
27 "schedulerReplicas": 1,
28 "status": "HEALTHY",
29 "uiUrl": "https://clypw7uah05jb01nwtpojz0j2.astronomer.run/d4yjo9ed?orgId=org_bvqayGttQauxdxB2",
30 "updatedAt": "2022-11-22T04:37:12Z",
31 "updatedBy": {
32 "id": "clm8qv74h000008mlf08scq7k",
33 "apiTokenName": "my-token",
34 "avatarUrl": "https://avatar.url",
35 "fullName": "Jane Doe",
36 "subjectType": "USER",
37 "username": "user1@company.com"
38 },
39 "webServerAirflowApiUrl": "myorganization.astronomer-dev.run/d8fe2wmv/api/v1",
40 "webServerCpu": "0.5",
41 "webServerIngressHostname": "clmh597sg000208lb2kjhcn8q.astronomer.run/d8fe2wmv",
42 "webServerMemory": "0.5Gi",
43 "webServerUrl": "myorganization.astronomer-dev.run/d8fe2wmv?orgId=org_edxLzpFcLrgEfpD5",
44 "workspaceId": "clmh58o7d000108lb74ktc9o64",
45 "cloudProvider": "AZURE",
46 "clusterId": "clmh597sg000208lb2kjhcn8q",
47 "clusterName": "my cluster",
48 "contactEmails": [
49 "user1@company.com"
50 ],
51 "dagTarballVersion": "2024-01-12T18:32:20.5898930Z",
52 "defaultTaskPodCpu": "0.5",
53 "defaultTaskPodMemory": "1Gi",
54 "description": "My deployment description",
55 "desiredDagTarballVersion": "2024-01-12T18:32:20.5898930Z",
56 "drExternalIPs": [
57 "string"
58 ],
59 "drOidcIssuerUrl": "https://westus2.oic.prod-aks.azure.com/b84efac8-cfee-467a-b223-23b9aea1486d/3075f79e-abc2-4602-a691-28117197e83d/",
60 "effectiveDRWorkloadIdentity": "string",
61 "effectiveWorkloadIdentity": "string",
62 "environmentVariables": [
63 {
64 "isSecret": true,
65 "key": "my-var",
66 "updatedAt": "2022-11-22T04:37:12Z",
67 "value": "my-var-value"
68 }
69 ],
70 "executor": "CELERY",
71 "externalIPs": [
72 "0.0.0.0"
73 ],
74 "imageVersion": "deploy-2023-09-14T19-04",
75 "isDevelopmentMode": true,
76 "isHighAvailability": true,
77 "oidcIssuerUrl": "https://westus2.oic.prod-aks.azure.com/b84efac8-cfee-467a-b223-23b9aea1486d/3075f79e-abc2-4602-a691-28117197e83d/",
78 "region": "us-east-1",
79 "remoteExecution": {
80 "allowedIpAddressRanges": [
81 "string"
82 ],
83 "enabled": true,
84 "remoteApiUrl": "string",
85 "taskLogBucket": "string",
86 "taskLogUrlPattern": "string"
87 },
88 "resourceQuotaCpu": "160",
89 "resourceQuotaMemory": "320Gi",
90 "scalingSpec": {
91 "hibernationSpec": {
92 "override": {
93 "isActive": true,
94 "isHibernating": true,
95 "overrideUntil": "2024-01-15T09:30:00Z"
96 },
97 "schedules": [
98 {
99 "hibernateAtCron": "string",
100 "isEnabled": true,
101 "wakeAtCron": "string",
102 "description": "string"
103 }
104 ]
105 }
106 },
107 "scalingStatus": {
108 "hibernationStatus": {
109 "isHibernating": true,
110 "nextEventAt": "string",
111 "nextEventType": "HIBERNATE",
112 "reason": "string"
113 }
114 },
115 "schedulerAu": 5,
116 "schedulerSize": "MEDIUM",
117 "statusReason": "Successfully Deployed",
118 "taskPodNodePoolId": "clmh5mash000008mia6lnbs0f",
119 "type": "DEDICATED",
120 "webServerReplicas": 1,
121 "workerQueues": [
122 {
123 "id": "clmh9vsuf000908midngba9mw",
124 "isDefault": true,
125 "maxWorkerCount": 10,
126 "minWorkerCount": 1,
127 "name": "default",
128 "podCpu": "1",
129 "podMemory": "2Gi",
130 "workerConcurrency": 20,
131 "astroMachine": "A5",
132 "nodePoolId": "clmh9yjcn000a08mi8dsgbno9"
133 }
134 ],
135 "workspaceName": "my-workspace"
136 }
137 ],
138 "limit": 10,
139 "offset": 0,
140 "totalCount": 100
141}
List Deployments in an Organization.
Was this page helpful?
Previous

Update a Deployment

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

organizationIdstringRequired
The ID of the Organization to list Deployments for.

Query parameters

deploymentIdslist of stringsOptional
A list of IDs for Deployments to show. The API returns details only for the specified Deployments. <br> <Tip> To list multiple Deployments, you must string together the parameter with the `deploymentIds`. For example, `deployments?deploymentIds=deploymentId1&deploymentIds=deploymentId2`</Tip>
nameslist of stringsOptional
A list of names for Deployments to filter by. The API returns details only for the specified Deployments.
workspaceIdslist of stringsOptional
A list of IDs for Workspaces to filter on. The API returns details for all Deployments belonging only to the specified Workspaces.
offsetintegerOptional>=0Defaults to 0
The number of results to skip before returning values.
limitintegerOptional>=0Defaults to 20
The maximum number of results to return.
sortslist of enumsOptional

A list of field names to sort by, and whether to show results as ascending or descending. Formatted as <fieldName>:asc or <fieldName>:desc.

Response

OK
deploymentslist of objects
A list of Deployments in the current page.
limitinteger
The maximum number of Deployments in one page.
offsetinteger
The offset of the current page of Deployments.
totalCountinteger
The total number of Deployments.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error

A list of IDs for Deployments to show. The API returns details only for the specified Deployments.

To list multiple Deployments, you must string together the parameter with the deploymentIds. For example, deployments?deploymentIds=deploymentId1&deploymentIds=deploymentId2